# Uses of Class
org.springframework.transaction.interceptor.RollbackRuleAttribute

Packages that use RollbackRuleAttribute
Package
Description
org.springframework.transaction.annotation
Spring's support for annotation-based transaction demarcation.
org.springframework.transaction.interceptor
AOP-based solution for declarative transaction demarcation.

## Uses of RollbackRuleAttribute in org.springframework.transaction.annotation

Methods in org.springframework.transaction.annotation with parameters of type RollbackRuleAttribute
Modifier and Type
Method
Description
`void`
AnnotationTransactionAttributeSource.`addDefaultRollbackRule(RollbackRuleAttribute rollbackRule)`
Add a default rollback rule, to be applied to all rule-based transaction attributes returned by this source.

## Uses of RollbackRuleAttribute in org.springframework.transaction.interceptor

Subclasses of RollbackRuleAttribute in org.springframework.transaction.interceptor
Modifier and Type
Class
Description
`class`
`NoRollbackRuleAttribute`
Tag subclass of `RollbackRuleAttribute` that has the opposite behavior to the `RollbackRuleAttribute` superclass.
Fields in org.springframework.transaction.interceptor declared as RollbackRuleAttribute
Modifier and Type
Field
Description
`static final RollbackRuleAttribute`
RollbackRuleAttribute.`ROLLBACK_ON_ALL_EXCEPTIONS`
The rollback rule for all `Exceptions`, including checked exceptions.
`static final RollbackRuleAttribute`
RollbackRuleAttribute.`ROLLBACK_ON_RUNTIME_EXCEPTIONS`
The rollback rule for `RuntimeExceptions`.
Methods in org.springframework.transaction.interceptor that return types with arguments of type RollbackRuleAttribute
Modifier and Type
Method
Description
`List<RollbackRuleAttribute>`
RuleBasedTransactionAttribute.`getRollbackRules()`
Return the list of `RollbackRuleAttribute` objects (never `null`).
Method parameters in org.springframework.transaction.interceptor with type arguments of type RollbackRuleAttribute
Modifier and Type
Method
Description
`void`
RuleBasedTransactionAttribute.`setRollbackRules(List<RollbackRuleAttribute> rollbackRules)`
Set the list of `RollbackRuleAttribute` objects (and/or `NoRollbackRuleAttribute` objects) to apply.
Constructor parameters in org.springframework.transaction.interceptor with type arguments of type RollbackRuleAttribute
Modifier
Constructor
Description
``
`RuleBasedTransactionAttribute(int propagationBehavior, List<RollbackRuleAttribute> rollbackRules)`
Create a new DefaultTransactionAttribute with the given propagation behavior.